Download it now!
Bug 60120 - UI: object rotation does not allow decimals and negative numbers
Summary: UI: object rotation does not allow decimals and negative numbers
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.0.2 rc
Hardware: All All
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard: target:4.2.0 target:4.1.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-31 14:15 UTC by Rainer Bielefeld Retired
Modified: 2014-09-28 22:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-01-31 14:15:18 UTC
Steps how to reproduce with "LibO  4.0.0.2 rc   -  GERMAN UI / German Locale  [Build ID: 5991f37846fc3763493029c4958b57282c2597e)]"  {tinderbox: @6, pull time 2013-01-24  07:20(?)} on German WIN7 Home Premium (64bit) with User Profile automatically created form renamed /3 User profile used by 3.6.5.2:

1. Open new Drawing from LibO Start Center
2. Draw any rectangle or other shape
3. Right Click new Shape 
4. Context Menu 'Position and Size -> Rotation'
   > Rotation properties Dialog
4. In Angle pane try to input a negative value or a value with decimals
   Excepted: Possible
   Actual: Impossible

Lack of negative values makes working more uncomfortable

Lack of decimals for angels makes Draw unusable for many applications (for ma work it's a blocker), at least I need that very often for arrangement of vector sketches of ground plans and similar, to adjust bitmaps to lines in the drawing or similar.
Comment 1 Rainer Bielefeld Retired 2013-01-31 15:10:47 UTC
Well, with "Modify - Rotate" inmost cases I also can reach the goal, but for several applications I indeed have been used to vernier adjustment in 
steps << 0,1°

And I think that problem is inherited from other applications where that adjuster already has been used. For Example, Cell text rotation in Calc always only was possible with integer degree numbers
Comment 2 Joel Madero 2013-01-31 16:55:29 UTC
Confirmed.

This may be an easy hack but I'm not positive. 

Changing platform, confirmed on Linux & Windows
Comment 3 Regina Henschel 2013-05-03 16:02:26 UTC
It was introduced with commit
http://cgit.freedesktop.org/libreoffice/core/commit/?id=0cd97e8c33c49a6c44d26ba309493dbfec00eb8d
together with the change from the 45°-preselect angles to the circle degree chooser.

It makes it impossible to measure an angle to the full accuracy which is possible in file format.

You can see from the sidebar in AOO that a better solution is possible.
Comment 4 Alex Thurgood 2013-05-05 21:34:17 UTC
Surely, this is a regression over the previous behaviour ?


Alex
Comment 5 Alex Thurgood 2013-05-05 21:36:16 UTC
Confirming also on OSX. This is a pretty bad situation for my business use of the dialog.

Alex
Comment 6 Tomaz Vajngerl 2013-05-10 09:15:38 UTC
Hi,

I will look at this.

Regards, Tomaž
Comment 7 Commit Notification 2013-06-03 21:56:52 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=870dd818999ac62c6722c208527d5fbf28c5daee

fdo#60120 Modify DialControl to store 100th degree angle.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-06-03 22:23:36 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4786d95b3187442ad2c3d0760e9bdcbc0a5e6825&h=libreoffice-4-1

fdo#60120 Modify DialControl to store 100th degree angle.


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Luke 2014-09-28 22:19:04 UTC
Verified fixed in the current master build. Katarína thanks so much for taking this on! This kind of consistency is what makes Libreoffice a polished, professional product.